=== debian/changelog ===
sphinx (1.5.3-1ubuntu0.1) zesty; urgency=medium

  * Update jstests for compatibility with WebKitGTK+ 2.16.2 (LP: #1690574).
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 14 May 2017 17:33:00 +0300

sphinx (1.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on texlive-luatex, to make xetex tests not be skipped.
  * Convert from git-dpm to patches unapplied format.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Mar 2017 12:37:21 +0300

sphinx (1.5.2-2) experimental; urgency=medium

  * dh_sphinxdoc: Properly detect sourcelink_suffix and use it when looking
    for source and HTML files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Jan 2017 12:42:06 +0300

sphinx (1.5.2-1) experimental; urgency=medium

  * New upstream release.
    - Drop fix_xapian_search.diff, applied upstream.
    - Rebase other patches for test system changes to pytest.
  * Bump python[3]-requests dependency to 2.4.0.
  * Switch from nose to pytest, following upstream.
  * Update one number in debian/jstest/run-tests for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Jan 2017 19:45:18 +0300

sphinx (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop docutils_0.13.diff, applied upstream.
  * Rebase other patches.
  * Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4, following
    upstream.
  * Depend on python[3]-requests and build-depend on python[3]-html5lib.
  * Build-depend and recommend python-enum34 (for autodoc extension).
  * Drop texlive-generic-extra dependency, iftex is no longer used.
  * Stop unbundling fncychap.sty (no longer bundled), iftex.sty and
    newfloat.sty (no longer used).
  * Skip test_meta_keys_are_handled_for_language_de, fails without snowball.
  * Backport upstream change to fix Xapian search adapter crashes
    (fix_xapian_search.diff).
  * Skip tests that require internet access (skip_tests_network.diff).
  * Update dh_sphinxdoc for upstream changes to document extensions.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Move the new templates directory to sphinx-common package.
  * Move the non-minified JS files to sphinx-common package.
  * Add allow-stderr restriction for the sphinx-doc autopkgtest.
  * Clean and do not install the sphinx/locale/.tx/config file.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Dec 2016 11:34:31 +0300
