=== debian/changelog ===
sphinx (1.5.6-2) unstable; urgency=medium

  * Drop Patch-Name headers, not needed with gbp-pq.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jul 2017 12:05:28 +0300

sphinx (1.5.6-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Update jstests for compatibility with WebKitGTK+ 2.16.2.
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.
  * Update debian/copyright for upstream LICENSE change.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 May 2017 11:31:42 +0300

sphinx (1.5.5-1) experimental; urgency=medium

  * New upstream release.
  * dh_sphinxdoc: Use a better message for missing sourcelink_suffix, and
    downgrade this error to a warning.
  * Clean some files which erroneously got into the upstream tarball.
  * Sync debian/copyright with upstream AUTHORS file.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Apr 2017 23:27:29 +0300
