=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
 	rm -f sphinx/locale/.DS_Store
 	rm -rf sphinx/locale/.tx
-	rm -f Sphinx.egg-info/SOURCES.txt
+	rm -f Sphinx.egg-info/SOURCES.txt Sphinx.egg-info/*-e
 	rm -f sphinx/texinputs/needspace.sty
 
 .PHONY: build build-arch build-indep
