## sphinx 1.6.3

=== debian/changelog ===
sphinx (1.6.3-2) unstable; urgency=medium

  * Move sphinxcontrib-websupport from requirements to extras_require
    in setuptools metadata (no_require_websupport.diff).
  * Backport upstream patch to fix crash with new python2.7
    (upstream_fix_crash_on_parallel_build.diff; closes: #869098).
  * dh_sphinxdoc: Add support for singlehtml builds (closes: #872863).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Sep 2017 20:52:27 +0300

sphinx (1.6.3-1) experimental; urgency=medium

  * New upstream release (closes: #866789).
  * Update dependencies for the new release.
    - Drop python[3]-whoosh and python[3]-sqlalchemy build-dependencies.
      They were only needed for websupport tests, now skipped (see below).
    - Add build-dependency on python-typing (Python 2 only).
    - Add suggestion on latexmk, it is now used for LaTeX builds.
    - Add build-dependency and suggestion on imagemagick-6.q16 and
      librsvg2-bin, needed for imgconverter extension.
  * Update autopkgtest dependencies.
    - Add python[3]-sphinxcontrib.websupport.
    - Add python[3]-sqlalchemy.
  * Disable one more test that needs network in skip_tests_network.diff.
  * Move libjs-sphinxdoc package to javascript section.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Update debian/copyright from upstream LICENSE and AUTHORS files.
  * Skip running websupport tests during build, to avoid build-dependency
    loop with sphinxcontrib-websupport.
  * Remove useless FIXME comment from debian/rules.
  * Do not run tests with --verbose flag during build, to make the output
    easier to read.
  * Document the new --imported-members option in sphinx-autogen manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Aug 2017 15:13:24 +0300
