=== debian/control ===
--- 
+++ 
@@ -13,8 +13,6 @@
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
   python-pygments (>= 2.1.1), python3-pygments (>= 2.1.1),
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
-  python-sqlalchemy, python3-sqlalchemy,
-  python-whoosh, python3-whoosh,
   python-pytest, python3-pytest,
   python-mock, python3-mock,
   python-babel (>= 1.3), python3-babel (>= 1.3),
@@ -22,12 +20,13 @@
   python-imagesize, python3-imagesize,
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
-  python-enum34,
+  python-enum34, python-typing,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   texlive-luatex, texlive-xetex,
   dvipng,
   graphviz,
+  imagemagick-6.q16, librsvg2-bin,
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
@@ -53,6 +52,8 @@
   libjs-mathjax, dvipng,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   texlive-generic-extra,
+  latexmk,
+  imagemagick-6.q16,
   sphinx-doc
 Breaks:
   python-sphinxcontrib.issuetracker (<< 0.11-1),
@@ -90,6 +91,8 @@
   libjs-mathjax, dvipng,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   texlive-generic-extra,
+  latexmk,
+  imagemagick-6.q16,
   sphinx-doc
 Description: documentation generator for Python projects (implemented in Python 3)
  Sphinx is a tool for producing documentation for Python projects, using
@@ -133,7 +136,7 @@
  This package includes documentation of Sphinx itself.
 
 Package: libjs-sphinxdoc
-Section: web
+Section: javascript
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1)
