=== debian/rules ===
--- 
+++ 
@@ -56,13 +56,12 @@
 	python3 setup.py build --build-lib build/py3/
 	python setup.py compile_catalog
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	# FIXME: https://github.com/sphinx-doc/sphinx/issues/703
 	export LC_ALL=C.UTF-8 && \
 	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
 		if [ "$$py" \< "python3.5" ]; then \
-			$$py tests/run.py --verbose --ignore tests/py35; \
+			$$py tests/run.py --ignore tests/test_websupport.py --ignore tests/test_api_translator.py --ignore tests/py35; \
 		else \
-			$$py tests/run.py --verbose; \
+			$$py tests/run.py --ignore tests/test_websupport.py --ignore tests/test_api_translator.py; \
 		fi; \
 	done
 	rm -rf build/py2/tests/ build/py3/tests/
