=== debian/tests/control ===
--- 
+++ 
@@ -7,12 +7,16 @@
          python-mock,
          python-xapian,
          python-whoosh,
+         python-sphinxcontrib.websupport,
+         python-sqlalchemy (>= 0.9),
          texlive-latex-extra,
          texlive-fonts-recommended,
          texlive-luatex,
          texlive-xetex,
          texinfo,
          dvipng,
+         imagemagick-6.q16,
+         librsvg2-bin,
          graphviz
 
 Tests: python3-sphinx
@@ -23,12 +27,16 @@
          python3-mock,
          python3-xapian,
          python3-whoosh,
+         python3-sphinxcontrib.websupport,
+         python3-sqlalchemy (>= 0.9),
          texlive-latex-extra,
          texlive-fonts-recommended,
          texlive-luatex,
          texlive-xetex,
          texinfo,
          dvipng,
+         imagemagick-6.q16,
+         librsvg2-bin,
          graphviz
 
 Tests: sphinx-doc
