## sphinx 1.6.4

=== debian/changelog ===
sphinx (1.6.4-2) unstable; urgency=medium

  * Add a note that dh_sphinxdoc does not actually build the documentation
    to its manpage.
  * Backport upstream patch to fix wrong AssertionError in C++ domain
    (cpp_no_assert.diff; closes: #877014).
  * Backport upstream patch to make searchtools.js work with pre-Sphinx 1.5
    templates (sourcelink_suffix_fallback.diff).
  * Update dh_sphinxdoc for the above change: there is no more need to error
    about missing SOURCELINK_SUFFIX.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Oct 2017 11:53:44 +0700

sphinx (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incorrect return status in sphinx-build (closes: #876048).
  * Drop upstream_fix_crash_on_parallel_build.diff, applied upstream.
  * dh_sphinxdoc: Turn warning about missing SOURCELINK_SUFFIX to an error.
  * Change sphinx-common trigger from interest to interest-noawait.
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Use pkg-info.mk to retrieve the upstream version number.
  * Use python3 to build our own documentation.
  * Add support for nodoc build profile.
  * Add python3-sphinxcontrib.websupport to build-dependencies for docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Sep 2017 17:47:54 +0300
