## sphinx 1.6.5

=== debian/changelog ===
sphinx (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop cpp_no_assert and sourcelink_suffix_fallback.diff, applied in the
    new release.
  * dh_sphinxdoc: In singlehtml check, consider only HTML files that use
    doctools.js (closes: #872863).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Oct 2017 12:21:59 +0300
