=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
   dh-strip-nondeterminism,
+  dpkg-dev (>= 1.17.14),
   python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
   python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
@@ -21,6 +22,7 @@
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
   python-enum34, python-typing,
+  python3-sphinxcontrib.websupport <!nodoc>,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   texlive-luatex, texlive-xetex,
@@ -30,7 +32,7 @@
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
@@ -124,6 +126,7 @@
  files.
 
 Package: sphinx-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Conflicts: python-sphinx (<< 1.1)
