=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,12 @@
 # -*- makefile -*-
 
 include /usr/share/python/python.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export NO_PKG_MANGLE=1
 export PYTHONWARNINGS=d
 export PYTHONHASHSEED=random
 export http_proxy=http://127.0.0.1:9/
-
-here = $(dir $(firstword $(MAKEFILE_LIST)))/..
-debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
-upstream_version = $(subst ~,,$(firstword $(subst -, ,$(debian_version))))
 
 locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
 scripts = $(sort $(basename $(wildcard sphinx-*.py)))
@@ -45,13 +42,15 @@
 	touch $(@)
 
 build-stamp: sphinx-build.py build/javascript-stamp
-	python ./sphinx-build.py -T doc build/html/
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
+	python3 ./sphinx-build.py -T doc build/html/
 	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
 	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
 		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
 	rm -rf build/man
 	cp -rl build/html build/man
-	python ./sphinx-build.py -T -b man doc build/man
+	python3 ./sphinx-build.py -T -b man doc build/man
+endif
 	python setup.py build --build-lib build/py2/
 	python3 setup.py build --build-lib build/py3/
 	python setup.py compile_catalog
@@ -148,13 +147,17 @@
 	dh_installchangelogs CHANGES
 	dh_installdocs
 	dh_lintian
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
+endif
 	dh_installexamples
 	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
-ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(upstream_version)")
+ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(DEB_VERSION_UPSTREAM)")
 	$(warning W: version numbers in the manual pages are out of date)
 endif
+ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	dh_installman
+endif
 	dh_python2 -p python-sphinx
 	dh_python3 -p python3-sphinx --no-guessing-deps
 	dh_strip_nondeterminism
