=== debian/changelog ===
sphinx (1.6.6-2) unstable; urgency=medium

  * Backport upstream patch to add optional section numbering in plain
    text output (closes: #872868).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jan 2018 21:51:28 +0300

sphinx (1.6.6-1) unstable; urgency=medium

  * New upstream release (closes: #881923).
  * Drop reproducible_dicts.diff and reproducible_htmlhelp.diff, applied
    in the new release.
  * Refresh other patches.
  * Remove trailing whitespace from debian/control and debian/rules.
  * Rewrite debian/copyright using the machine-readable format 1.0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 11 Jan 2018 16:07:07 +0300

sphinx (1.6.5-4) unstable; urgency=medium

  * Change python3.6-2to3 dependencies to python3-lib2to3.
  * Backport upstream reproducibility fix for htmlhelp and qthelp builders
    (reproducible_htmlhelp.diff; closes: #884010).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Dec 2017 14:04:30 +0300

sphinx (1.6.5-3) unstable; urgency=medium

  * Make python3-sphinx depend on python3.6-2to3, where lib2to3 is shipped
    since python3.6 3.6.4~rc1-2. It will be replaced with a more generic
    dependency later.
  * Also build-depend on python3.6-2to3, to make the tests pass.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 17:03:53 +0300

sphinx (1.6.5-2) unstable; urgency=medium

  * Backport two upstream patches to improve builds reproducibility:
    - reproducible_dicts.diff to sort dictionary keys (closes: #877637).
    - reproducible_epub.diff to make EPUB generation reproducible.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Oct 2017 19:12:40 +0300
