=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
   dh-strip-nondeterminism,
   dpkg-dev (>= 1.17.14),
   python-all (>= 2.6.6-4~), python3-all (>= 3.3.3-1~),
+  python3-lib2to3,
   python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
@@ -32,7 +33,7 @@
   perl
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
@@ -78,6 +79,7 @@
 Package: python3-sphinx
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+  python3-lib2to3,
   python3-six (>= 1.5),
   python3-docutils (>= 0.11),
   python3-pygments (>= 2.0),
@@ -113,7 +115,7 @@
 
 Package: sphinx-common
 Architecture: all
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends},
   libjs-sphinxdoc (= ${source:Version})
 Recommends: python-sphinx | python3-sphinx
 Conflicts: python-sphinx (<< 1.1)
