## sphinx 1.6.7

=== debian/changelog ===
sphinx (1.6.7-1ubuntu1) bionic; urgency=medium

  * Add python3-distutils to autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2018 23:10:19 +0200

sphinx (1.6.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update debhelper compat level to 11.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2018 22:08:38 +0300
