=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 .PHONY: clean
 clean:
-	dh_clean 
+	dh_clean
 	find . -name '*.py[co]' -delete
 	rm -rf build tests/build
 	rm -f $(basename $(wildcard debian/*.in))
@@ -35,7 +35,7 @@
 
 sphinx/themes/basic/static/%.js:
 	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)
-       
+
 build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
 	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
 	mkdir -p $(dir $@)
