=== debian/tests/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 Tests: python3-sphinx
 Depends: python3-sphinx,
+         python3-distutils,
          python3-html5lib,
          python3-pygments (>= 2.1.1),
          python3-pytest,
