## sphinx 1.7.1

=== debian/changelog ===
sphinx (1.7.1-1) experimental; urgency=medium

  * New upstream release (closes: #890581).
    - No longer bundles a copy of pgen2 (closes: #609485).
  * Drop reproducible_epub.diff and text_section_numbering.diff, applied
    in the new release.
  * Refresh and rebase other patches.
  * Build-depend and depend on python[3]-packaging.
  * Update commands to build docs and run tests.
  * All scripts are now setuptools entrypoints, update the code accordingly.
  * Update debian/copyright.
  * dh_sphinxdoc: Support standalone documentation_options.js files.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Use upstream sphinx-autogen(1) manpage.
  * Set PYTHONPATH to current directory when running the tests.
  * Set PYTHONPATH when running the install-js script.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Mar 2018 12:20:20 +0300
