=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: dh-python,
   dh-strip-nondeterminism,
   dpkg-dev (>= 1.17.14),
@@ -23,6 +23,7 @@
   python-requests (>= 2.4.0), python3-requests (>= 2.4.0),
   python-html5lib, python3-html5lib,
   python-enum34, python-typing,
+  python-packaging, python3-packaging,
   python3-sphinxcontrib.websupport <!nodoc>,
   libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
@@ -34,8 +35,8 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
 
 Package: python-sphinx
 Architecture: all
@@ -48,6 +49,7 @@
   python-alabaster (>= 0.7),
   python-imagesize,
   python-requests (>= 2.4.0),
+  python-packaging,
   sphinx-common (= ${source:Version})
 Recommends: python-enum34, python-pil
 Suggests:
@@ -88,6 +90,7 @@
   python3-alabaster (>= 0.7),
   python3-imagesize,
   python3-requests (>= 2.4.0),
+  python3-packaging,
   sphinx-common (= ${source:Version})
 Recommends: python3-pil
 Suggests:
